Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7566 - printtool stair-step and EOF failure
Summary: printtool stair-step and EOF failure
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 20:31 UTC by mullins
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-08-07 21:02:08 UTC


Attachments (Terms of Use)

Description mullins 1999-12-03 20:31:58 UTC
After configuring my printer (hp deskjet 697C)with the printtool, and
After selecting stairstep and EOF correction with fast textonly printing,
my printer printed text files correctly.  However, when I later rebooted,
the stair-step and EOF problems were back, and no amount of reconfiguring
with printtool worked.  Even more quirky was that the test page in
printtool printed fine.

Possible solution: In my spool file, /var/spool/lpd/lp, there were two
configuration files of the form .cfg.  One, general.cfg, had variables
declared with the export command. The other, textonly.cfg, where the
stair-stepping problem and the EOF problem should be resolved, had the
correct variables, but did not export them.  By editing this file so that
the variables were exported, it appears I've solved the problem.

ps: I hope these names of files are correct, I'm in windows because I've
not finished the PPP installation for my linux box.

Comment 1 Bernhard Rosenkraenzer 1999-12-08 15:02:59 UTC
Thanks, this will be fixed in 6.2 (we're dropping printtool on behalf of a new
tool we're currently writing).

Comment 2 Crutcher Dunnavant 2000-08-08 15:23:51 UTC
I cannot duplicate this problem (stair steping fixes fine for me, and I've
looked at the code, don't see how it could break).
Closing.


Note You need to log in before you can comment on or make changes to this bug.